/*
     $Revision$
     $Id$
*/

$(document).ready(function () {
    setTimeout("init_cad_legendawaarde()", 100);
  });


function init_cad_legendawaarde()
{
    var kleur = "#" + $("#value_rgb").val();

    $("#value_rgb").on("change", function() { change_value_rgb(); });
    $("#_color").on("click", function() { showColor(); });
    $("#btn_cp_accept").on("click", function() { acceptColor(); });
    $("#btn_cp_hide").on("click", function()   { hideColor();   });

    $("#color_panel").addClass("colorPanel");
    $("#color_panel").hide();

  	$("#color_select").colorpicker(
	    {
		    defaultPalette: "web",
		    history: false,
		    displayIndicator: true,
		    color: kleur,
		    hideButton: true,
		    showOn: "button"
	    });
    FcltMgr.resized();
}

function showColor()
{
    $("#color_panel").show();
    FcltMgr.resized();
}

function acceptColor()
{
    var kleur = $("#color_select").colorpicker("val");
    var rgb = kleur.replace("#","").toUpperCase().trim();

    $("#value_rgb").val(rgb);
    $("#_color span").css("background-color", kleur);
    $("#color_panel").hide();
    FcltMgr.resized();
}

function hideColor()
{
    $("#color_panel").hide();
    FcltMgr.resized();
}

function change_value_rgb()
{
    var rgb = $("#value_rgb").val();

    $("#_color span").css("background-color", "#"+rgb);
}

//function pre_submit()
//{
//    return true;
//}